Name:           python-vtkpython-cbl
Version:        2025.4.17
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A library of vtkpython tools for cardiac biomechanics.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.inria.fr/mgenet/vtkpython_cbl
Source:         %{pypi_source vtkpython_cbl}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'vtkpython-cbl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-vtkpython-cbl
Summary:        %{summary}

%description -n python3-vtkpython-cbl %_description


%prep
%autosetup -p1 -n vtkpython_cbl-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-vtkpython-cbl -f %{pyproject_files}


%changelog
%autochangelog